{ pkgs, hyprlandSettings, ... }:
let
  settings = import ../../settings.nix { inherit pkgs; };
in
{
  home.file = {
    ".config/nwg-panel/excluded-dirs".text = ''

    '';
    ".config/nwg-panel/preferred-apps.json".text = ''
        {
          "\\.pdf$": "${settings.defaultApps.browser.pname}",
          "\\.svg$": "inkscape",
          "\\.(jpg|png|tiff|gif)$": "${settings.defaultApps.imageViewer.pname}",
          "\\.(mp3|ogg|flac|wav|wma)$": "audacious",
          "\\.(avi|mp4|mkv|mov|wav)$": "${settings.defaultApps.video.pname}",
          "\\.(doc|docx|xls|xlsx)$": "${settings.defaultApps.office.pname}"
        }
    '';
  };
}